
config: autoconfig

# Check config.h file name
ifndef config_h
 config_h := config.h
endif


# Check config.mk file name
ifndef config_mk
 config_mk := config.mk
endif


# Generate configuration files
ifeq ($(MAKECMDGOALS),config)
 include .mkinclude/autoconfig.mk
else
# Not defined
 ifneq ($(MAKECMDGOALS),clean)
  ifneq ($(MAKECMDGOALS),help)
   -include $(config_mk)
  endif
 endif
endif

$(config_mk) $(config_h):
	$(MAKE) config

